org.jetlang.web

## Class HttpRequestHandler.Default<T>

- java.lang.Object
- - org.jetlang.web.HttpRequestHandler.Default<T>

All Implemented Interfaces:
  HttpRequestHandler<T>

Enclosing interface:
  HttpRequestHandler<T>

    public static class HttpRequestHandler.Default<T>
    extends Object
    implements HttpRequestHandler<T>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.HttpRequestHandler

`HttpRequestHandler.Default<T>`

### Constructor Summary

Constructors
Constructor and Description
`Default(HandlerLocator.List<T> handlerMap, Handler<T> defaultHandler)`

### Method Summary

All Methods Instance Methods Concrete Methods
`NioReader.State` `dispatch(SessionDispatcherFactory.SessionDispatcher<T> dispatcher, HttpRequest headers, HttpResponse response, HeaderReader<T> reader, NioWriter writer, T sessionState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Default

    public Default(HandlerLocator.List<T> handlerMap,
                   Handler<T> defaultHandler)

### Method Detail

#### dispatch

    public NioReader.State dispatch(SessionDispatcherFactory.SessionDispatcher<T> dispatcher,
                                    HttpRequest headers,
                                    HttpResponse response,
                                    HeaderReader<T> reader,
                                    NioWriter writer,
                                    T sessionState)

Specified by:
  `dispatch` in interface `HttpRequestHandler<T>`